Bug 1698549 - Incremental publish of RPM repos fails after upgrade from 6.4 to 6.5
Summary: Incremental publish of RPM repos fails after upgrade from 6.4 to 6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 15:06 UTC by Dennis Kliban
Modified: 2019-10-07 17:17 UTC (History)
7 users (show)

Fixed In Version: pulp-rpm-2.18.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:38 UTC


Attachments (Terms of Use)
verification screenshot (57.57 KB, image/png)
2019-04-22 17:18 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:43 UTC
Pulp Redmine 4661 Normal CLOSED - CURRENTRELEASE incremental publish of yum_repo_metadata_repo fails after upgrade from 2.18/2.19 to 2-master 2019-05-30 17:01:58 UTC

Description Dennis Kliban 2019-04-10 15:06:15 UTC
Description of problem:

Some content views fail to publish after migrating from Sat 6.4 to 6.5. This only occurs for content views that have had additive change made to their content set. 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Publish a content view on 6.4
2. Upgrade to 6.5
3. Upload a new RPM to the content view created in 1
4. Publish the content view

Actual results:

Publish fails with the follwoing in logs:

    Task pulp.server.managers.repo.publish.publish[c8a92949-0eb9-4fec-8f05-edb3184523de] raised unexpected: Error(u'`/var/lib/pulp/content/units/yum_repo_metadata_file/e6/722a40dfeac0812817845c0713ae556968d622cf84507115c03063f8f022b3/productid` and `/var/cache/pulp/reserved_resource_worker-1@qe-sat6-upgrade-rhel7.satqe.lab.eng.rdu2.redhat.com/c8a92949-0eb9-4fec-8f05-edb3184523de/repodata/productid` are the same file',)
    trace:ERROR: [c8a92949] (13758-36672) Traceback (most recent call last):
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 367, in trace_task
    trace:ERROR: [c8a92949] (13758-36672)     R = retval = fun(*args, **kwargs)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 529, in __call__
    trace:ERROR: [c8a92949] (13758-36672)     return super(Task, self).__call__(*args, **kwargs)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 107, in __call__
    trace:ERROR: [c8a92949] (13758-36672)     return super(PulpTask, self).__call__(*args, **kwargs)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 622, in __protected_call__
    trace:ERROR: [c8a92949] (13758-36672)     return self.run(*args, **kwargs)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py", line 1110, in publish
    trace:ERROR: [c8a92949] (13758-36672)     result = check_publish(repo_obj, dist_id, dist_inst, transfer_repo, conduit, call_config)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py", line 1207, in check_publish
    trace:ERROR: [c8a92949] (13758-36672)     result = _do_publish(repo_obj, dist_id, dist_inst, transfer_repo, conduit, call_config)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py", line 1259, in _do_publish
    trace:ERROR: [c8a92949] (13758-36672)     publish_report = publish_repo(transfer_repo, conduit, call_config)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 737, in wrap_f
    trace:ERROR: [c8a92949] (13758-36672)     return f(*args, **kwargs)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/distributor.py", line 174, in publish_repo
    trace:ERROR: [c8a92949] (13758-36672)     return self._publisher.process_lifecycle()
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/plugins/util/publish_step.py", line 572, in process_lifecycle
    trace:ERROR: [c8a92949] (13758-36672)     super(PluginStep, self).process_lifecycle()
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/plugins/util/publish_step.py", line 163, in process_lifecycle
    trace:ERROR: [c8a92949] (13758-36672)     step.process()
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/plugins/util/publish_step.py", line 239, in process
    trace:ERROR: [c8a92949] (13758-36672)     self._process_block(item=item)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp/plugins/util/publish_step.py", line 301, in _process_block
    trace:ERROR: [c8a92949] (13758-36672)     self.process_main(item=item)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/distributors/yum/publish.py", line 527, in process_main
    trace:ERROR: [c8a92949] (13758-36672)     shutil.copyfile(unit._storage_path, file_path)
    trace:ERROR: [c8a92949] (13758-36672)   File "/usr/lib64/python2.7/shutil.py", line 69, in copyfile
    trace:ERROR: [c8a92949] (13758-36672)     raise Error("`%s` and `%s` are the same file" % (src, dst))
    trace:ERROR: [c8a92949] (13758-36672) Error: `/var/lib/pulp/content/units/yum_repo_metadata_file/e6/722a40dfeac0812817845c0713ae556968d622cf84507115c03063f8f022b3/productid` and `/var/cache/pulp/reserved_resource_worker-1@qe-sat6-upgrade-rhel7.satqe.lab.eng.rdu2.redhat.com/c8a92949-0eb9-4fec-8f05-edb3184523de/repodata/productid` are the same file


Expected results:

Publish succeeds

Additional info:

Comment 4 pulp-infra@redhat.com 2019-04-10 15:49:41 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2019-04-10 15:49:41 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-04-10 16:32:11 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 8 sthirugn@redhat.com 2019-04-12 20:55:17 UTC
With this fix, new rhel7server, rhel6server repo sync failed for me.

Comment 9 pulp-infra@redhat.com 2019-04-12 21:02:07 UTC
Requesting needsinfo from upstream developer ttereshc@redhat.com because the 'FailedQA' flag is set.

Comment 10 Dennis Kliban 2019-04-15 21:31:38 UTC
Fixed as a resolution for https://bugzilla.redhat.com/show_bug.cgi?id=1699457

Comment 11 jcallaha 2019-04-22 17:17:55 UTC
Verified in Satellite 6.5.0 Snap 24

Followed the provided reproducer steps. 

After upgrade, I was able to successfully add a new rpm to the repo and publish its content view.

See attached screenshot for verification.

Comment 12 jcallaha 2019-04-22 17:18:26 UTC
Created attachment 1557228 [details]
verification screenshot

Comment 14 errata-xmlrpc 2019-05-14 12:40:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 15 pulp-infra@redhat.com 2019-05-22 19:31:38 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 16 pulp-infra@redhat.com 2019-05-30 17:01:59 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.


Note You need to log in before you can comment on or make changes to this bug.